Межсайтовый скриптинг в net2ftp

Дата публикации:
04.05.2009
Дата изменения:
05.05.2009
Всего просмотров:
1872
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
net2ftp 0.x
Уязвимые версии: net2ftp 0.97, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в функции "validateGenericInput()" в сценарии includes/registerglobals.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение и загрузить произвольные файлы на FTP сервер.

URL производителя: www.net2ftp.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Журнал изменений:

05.05.2009
Добавлен PoC код.

Ссылки: net2ftp <= 0.97 Cross-Site Scripting/Request Forgery PoC
http://research.voodoo-labs.org/advisories/3

или введите имя

CAPTCHA